def get_oids(filename: str) -> list[str]:
    oids = []
    with open(filename, 'r') as in_file:
        for line in in_file:
            oids.append(line.strip())
    return oids

def update_remaining_oids(filename: str, oids: list[str]):
    with open(filename, 'w') as out_file:
        out_file.writelines(oids)

def main():
    all_oids_filename = 'oids.txt'
    removed_filename = 'objects_removed.txt'
    not_found_filename = 'objects_not_found.txt'

    all_oids = get_oids(all_oids_filename)
    removed_oids = get_oids(removed_filename)
    not_found_oids = get_oids(not_found_filename)

    updated_oids = [oid for oid in all_oids if oid not in removed_oids and oid not in not_found_oids]

    update_remaining_oids(all_oids_filename, updated_oids)


if __name__ == '__main__':
    main()
